Summary: Gnome Spell is GNOME/Bonobo component for spell checking.
Name: gnome-spell
Version: 0.1
Release: 7mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0: gnome-spell-0.1-pspell4.patch.bz2 
Patch1: gnome-spell-0.1-bonobo.patch.bz2
License: GPL
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: db1-devel gdk-pixbuf-devel gnome-libs-devel gnome-print-devel libbonobo-devel liboaf-devel libpspell4-devel libtool-devel popt-devel
Requires: aspell >= 0.33.7-2mdk

%description
Gnome Spell is GNOME/Bonobo component for spell checking. In current 0.1
version it contains GNOME::Spell::Dictionary object, which provides spell
checking dictionary (see Spell.idl for exact API definition). It's based
on pspell package.

%prep
%setup -q

%patch0 -p1 -b .spell
%patch1 -p1 -b .bonobo

# needed by patch1
autoconf

%build
%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog NEWS AUTHORS
%{_bindir}/*
%{_datadir}/idl/*
%{_datadir}/oaf/*

%changelog
* Mon Sep 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-7mdk
- Patch1: fix compilation (link with gnomeui)

* Thu Aug 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-6mdk
- Add explicit dependency on aspell too (since pspell is only a wrapper)

* Sun Jul 29 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-5mdk
- modify BuildRequires
- fix description

* Fri May 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1-4mdk
- Rebuild it with the latest and shiniest ever libltdl.so.3.
- s/Copyright/License/;

* Mon May 21 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1-3mdk
- rebuild with new libpspell

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-2mdk
- Recompiled with oaf 0.6.2

* Tue Jan  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-1mdk
- First Mandrake package

# end of file
